## rclone 1.53.3

=== Makefile ===
SHELL = bash
# Branch we are working on
BRANCH := $(or $(BUILD_SOURCEBRANCHNAME),$(lastword $(subst /, ,$(GITHUB_REF))),$(shell git rev-parse --abbrev-ref HEAD))
# Tag of the current commit, if any.  If this is not "" then we are building a release
RELEASE_TAG := $(shell git tag -l --points-at HEAD)
# Version of last release (may not be on this branch)
VERSION := $(shell cat VERSION)
# Last tag on this branch
LAST_TAG := $(shell git describe --tags --abbrev=0)
# Next version
NEXT_VERSION := $(shell echo $(VERSION) | awk -F. -v OFS=. '{print $$1,$$2+1,0}')
NEXT_PATCH_VERSION := $(shell echo $(VERSION) | awk -F. -v OFS=. '{print $$1,$$2,$$3+1}')
# If we are working on a release, override branch to master
ifdef RELEASE_TAG
	BRANCH := master
	LAST_TAG := $(shell git describe --abbrev=0 --tags $(VERSION)^)
endif
TAG_BRANCH := .$(BRANCH)
BRANCH_PATH := branch/$(BRANCH)/
# If building HEAD or master then unset TAG_BRANCH and BRANCH_PATH
ifeq ($(subst HEAD,,$(subst master,,$(BRANCH))),)
	TAG_BRANCH :=
	BRANCH_PATH :=
endif
# Make version suffix -beta.NNNN.CCCCCCCC (N=Commit number, C=Commit)
VERSION_SUFFIX := -beta.$(shell git rev-list --count HEAD).$(shell git show --no-patch --no-notes --pretty='%h' HEAD)
# TAG is current version + commit number + commit + branch
TAG := $(VERSION)$(VERSION_SUFFIX)$(TAG_BRANCH)
ifdef RELEASE_TAG
	TAG := $(RELEASE_TAG)
endif
GO_VERSION := $(shell go version)
ifdef BETA_SUBDIR
	BETA_SUBDIR := /$(BETA_SUBDIR)
endif
BETA_PATH := $(BRANCH_PATH)$(TAG)$(BETA_SUBDIR)
BETA_URL := https://beta.rclone.org/$(BETA_PATH)/
BETA_UPLOAD_ROOT := memstore:beta-rclone-org
BETA_UPLOAD := $(BETA_UPLOAD_ROOT)/$(BETA_PATH)
# Pass in GOTAGS=xyz on the make command line to set build tags
ifdef GOTAGS
BUILDTAGS=-tags "$(GOTAGS)"
LINTTAGS=--build-tags "$(GOTAGS)"
endif

.PHONY: rclone test_all vars version

rclone:
	go build -v --ldflags "-s -X github.com/rclone/rclone/fs.Version=$(TAG)" $(BUILDTAGS)
	mkdir -p `go env GOPATH`/bin/
	cp -av rclone`go env GOEXE` `go env GOPATH`/bin/rclone`go env GOEXE`.new
	mv -v `go env GOPATH`/bin/rclone`go env GOEXE`.new `go env GOPATH`/bin/rclone`go env GOEXE`

test_all:
	go install --ldflags "-s -X github.com/rclone/rclone/fs.Version=$(TAG)" $(BUILDTAGS) github.com/rclone/rclone/fstest/test_all

vars:
	@echo SHELL="'$(SHELL)'"
	@echo BRANCH="'$(BRANCH)'"
	@echo TAG="'$(TAG)'"
	@echo VERSION="'$(VERSION)'"
	@echo GO_VERSION="'$(GO_VERSION)'"
	@echo BETA_URL="'$(BETA_URL)'"

btest:
	@echo "[$(TAG)]($(BETA_URL)) on branch [$(BRANCH)](https://github.com/rclone/rclone/tree/$(BRANCH)) (uploaded in 15-30 mins)" | xclip -r -sel clip
	@echo "Copied markdown of beta release to clip board"

version:
	@echo '$(TAG)'

# Full suite of integration tests
test:	rclone test_all
	-test_all 2>&1 | tee test_all.log
	@echo "Written logs in test_all.log"

# Quick test
quicktest:
	RCLONE_CONFIG="/notfound" go test $(BUILDTAGS) ./...

racequicktest:
	RCLONE_CONFIG="/notfound" go test $(BUILDTAGS) -cpu=2 -race ./...

# Do source code quality checks
check:	rclone
	@echo "-- START CODE QUALITY REPORT -------------------------------"
	@golangci-lint run $(LINTTAGS) ./...
	@echo "-- END CODE QUALITY REPORT ---------------------------------"

# Get the build dependencies
build_dep:
	go run bin/get-github-release.go -extract golangci-lint golangci/golangci-lint 'golangci-lint-.*\.tar\.gz'

# Get the release dependencies we only install on linux
release_dep_linux:
	go run bin/get-github-release.go -extract nfpm goreleaser/nfpm 'nfpm_.*_Linux_x86_64.tar.gz'
	go run bin/get-github-release.go -extract github-release aktau/github-release 'linux-amd64-github-release.tar.bz2'

# Get the release dependencies we only install on Windows
release_dep_windows:
	GO111MODULE=off GOOS="" GOARCH="" go get github.com/josephspurrier/goversioninfo/cmd/goversioninfo

# Update dependencies
showupdates:
	@echo "*** Direct dependencies that could be updated ***"
	@GO111MODULE=on go list -u -f '{{if (and (not (or .Main .Indirect)) .Update)}}{{.Path}}: {{.Version}} -> {{.Update.Version}}{{end}}' -m all 2> /dev/null

# Update direct and indirect dependencies and test dependencies
update:
	GO111MODULE=on go get -u -t ./...
	-#GO111MODULE=on go get -d $(go list -m -f '{{if not (or .Main .Indirect)}}{{.Path}}{{end}}' all)
	GO111MODULE=on go mod tidy

# Tidy the module dependencies
tidy:
	GO111MODULE=on go mod tidy

doc:	rclone.1 MANUAL.html MANUAL.txt rcdocs commanddocs

rclone.1:	MANUAL.md
	pandoc -s --from markdown-smart --to man MANUAL.md -o rclone.1

MANUAL.md:	bin/make_manual.py docs/content/*.md commanddocs backenddocs
	./bin/make_manual.py

MANUAL.html:	MANUAL.md
	pandoc -s --from markdown-smart --to html MANUAL.md -o MANUAL.html

MANUAL.txt:	MANUAL.md
	pandoc -s --from markdown-smart --to plain MANUAL.md -o MANUAL.txt

commanddocs: rclone
	XDG_CACHE_HOME="" XDG_CONFIG_HOME="" HOME="\$$HOME" USER="\$$USER" rclone gendocs docs/content/

backenddocs: rclone bin/make_backend_docs.py
	XDG_CACHE_HOME="" XDG_CONFIG_HOME="" HOME="\$$HOME" USER="\$$USER" ./bin/make_backend_docs.py

rcdocs: rclone
	bin/make_rc_docs.sh

install: rclone
	install -d ${DESTDIR}/usr/bin
	install -t ${DESTDIR}/usr/bin ${GOPATH}/bin/rclone

clean:
	go clean ./...
	find . -name \*~ | xargs -r rm -f
	rm -rf build docs/public
	rm -f rclone fs/operations/operations.test fs/sync/sync.test fs/test_all.log test.log

website:
	rm -rf docs/public
	cd docs && hugo
	@if grep -R "raw HTML omitted" docs/public ; then echo "ERROR: found unescaped HTML - fix the markdown source" ; fi

upload_website:	website
	rclone -v sync docs/public memstore:www-rclone-org

upload_test_website:	website
	rclone -P sync docs/public test-rclone-org:

validate_website: website
	find docs/public -type f -name "*.html" | xargs tidy --mute-id yes -errors --gnu-emacs yes --drop-empty-elements no --warn-proprietary-attributes no --mute MISMATCHED_ATTRIBUTE_WARN

tarball:
	git archive -9 --format=tar.gz --prefix=rclone-$(TAG)/ -o build/rclone-$(TAG).tar.gz $(TAG)

vendorball:
	go mod vendor
	tar -zcf build/rclone-$(TAG)-vendor.tar.gz vendor
	rm -rf vendor

sign_upload:
	cd build && md5sum rclone-v* | gpg --clearsign > MD5SUMS
	cd build && sha1sum rclone-v* | gpg --clearsign > SHA1SUMS
	cd build && sha256sum rclone-v* | gpg --clearsign > SHA256SUMS

check_sign:
	cd build && gpg --verify MD5SUMS && gpg --decrypt MD5SUMS | md5sum -c
	cd build && gpg --verify SHA1SUMS && gpg --decrypt SHA1SUMS | sha1sum -c
	cd build && gpg --verify SHA256SUMS && gpg --decrypt SHA256SUMS | sha256sum -c

upload:
	rclone -P copy build/ memstore:downloads-rclone-org/$(TAG)
	rclone lsf build --files-only --include '*.{zip,deb,rpm}' --include version.txt | xargs -i bash -c 'i={}; j="$$i"; [[ $$i =~ (.*)(-v[0-9\.]+-)(.*) ]] && j=$${BASH_REMATCH[1]}-current-$${BASH_REMATCH[3]}; rclone copyto -v "memstore:downloads-rclone-org/$(TAG)/$$i" "memstore:downloads-rclone-org/$$j"'

upload_github:
	./bin/upload-github $(TAG)

cross:	doc
	go run bin/cross-compile.go -release current $(BUILDTAGS) $(TAG)

beta:
	go run bin/cross-compile.go $(BUILDTAGS) $(TAG)
	rclone -v copy build/ memstore:pub-rclone-org/$(TAG)
	@echo Beta release ready at https://pub.rclone.org/$(TAG)/

log_since_last_release:
	git log $(LAST_TAG)..

compile_all:
	go run bin/cross-compile.go -compile-only $(BUILDTAGS) $(TAG)

ci_upload:
	sudo chown -R $$USER build
	find build -type l -delete
	gzip -r9v build
	./rclone --config bin/travis.rclone.conf -v copy build/ $(BETA_UPLOAD)/testbuilds
ifndef BRANCH_PATH
	./rclone --config bin/travis.rclone.conf -v copy build/ $(BETA_UPLOAD_ROOT)/test/testbuilds-latest
endif
	@echo Beta release ready at $(BETA_URL)/testbuilds

ci_beta:
	git log $(LAST_TAG).. > /tmp/git-log.txt
	go run bin/cross-compile.go -release beta-latest -git-log /tmp/git-log.txt $(BUILD_FLAGS) $(BUILDTAGS) $(TAG)
	rclone --config bin/travis.rclone.conf -v copy --exclude '*beta-latest*' build/ $(BETA_UPLOAD)
ifndef BRANCH_PATH
	rclone --config bin/travis.rclone.conf -v copy --include '*beta-latest*' --include version.txt build/ $(BETA_UPLOAD_ROOT)$(BETA_SUBDIR)
endif
	@echo Beta release ready at $(BETA_URL)

# Fetch the binary builds from GitHub actions
fetch_binaries:
	rclone -P sync --exclude "/testbuilds/**" --delete-excluded $(BETA_UPLOAD) build/

serve:	website
	cd docs && hugo server -v -w --disableFastRender

tag:	retag doc
	bin/make_changelog.py $(LAST_TAG) $(VERSION) > docs/content/changelog.md.new
	mv docs/content/changelog.md.new docs/content/changelog.md
	@echo "Edit the new changelog in docs/content/changelog.md"
	@echo "Then commit all the changes"
	@echo git commit -m \"Version $(VERSION)\" -a -v
	@echo "And finally run make retag before make cross etc"

retag:
	@echo "Version is $(VERSION)"
	git tag -f -s -m "Version $(VERSION)" $(VERSION)

startdev:
	@echo "Version is $(VERSION)"
	@echo "Next version is $(NEXT_VERSION)"
	echo -e "package fs\n\n// Version of rclone\nvar Version = \"$(NEXT_VERSION)-DEV\"\n" | gofmt > fs/version.go
	echo -n "$(NEXT_VERSION)" > docs/layouts/partials/version.html
	echo "$(NEXT_VERSION)" > VERSION
	git commit -m "Start $(NEXT_VERSION)-DEV development" fs/version.go VERSION docs/layouts/partials/version.html

startstable:
	@echo "Version is $(VERSION)"
	@echo "Next stable version is $(NEXT_PATCH_VERSION)"
	echo -e "package fs\n\n// Version of rclone\nvar Version = \"$(NEXT_PATCH_VERSION)-DEV\"\n" | gofmt > fs/version.go
	echo -n "$(NEXT_PATCH_VERSION)" > docs/layouts/partials/version.html
	echo "$(NEXT_PATCH_VERSION)" > VERSION
	git commit -m "Start $(NEXT_PATCH_VERSION)-DEV development" fs/version.go VERSION docs/layouts/partials/version.html

winzip:
	zip -9 rclone-$(TAG).zip rclone.exe

=== debian/changelog ===
rclone (1.53.3-4ubuntu1.22.04.3) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update

 -- Allen Huang <allen.huang@canonical.com>  Fri, 15 Nov 2024 23:08:32 +0000

rclone (1.53.3-4ubuntu1.22.04.2) jammy-security; urgency=medium

  * No change build due to golang-1.18 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 03 May 2023 13:55:41 +0530

rclone (1.53.3-4ubuntu1.22.04.1) jammy-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Fri, 03 Feb 2023 15:32:09 +0100

rclone (1.53.3-4ubuntu1) jammy; urgency=medium

  * d/p/0008-fix-gdrive-download.patch: remove check for size, so google
    docs are identified solely by not having an MD5 checksum
    (LP: #1937136)

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 28 Mar 2022 18:45:23 -0300

rclone (1.53.3-4) unstable; urgency=medium

  * Team upload.
  * Add logrus to the dependencies of the development package.
  * Switch to dh-sequence-*.
  * Add missing build dependency on go-homedir.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 31 Dec 2021 21:12:35 +0100

rclone (1.53.3-3) unstable; urgency=medium

  * Team upload.
  * Add missing build dependency on logrus (Closes: #1002271).

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 31 Dec 2021 20:37:35 +0100

rclone (1.53.3-2) unstable; urgency=medium

  * Team upload.

  [ Thomas Goirand ]
  * Add "Infomaniak kDrive" as possible provider in the package long desc.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on
      golang-github-jlaffaye-ftp-dev.
    + golang-github-rclone-rclone-dev: Drop versioned constraint on
      golang-github-jlaffaye-ftp-dev and golang-github-okzk-sdnotify-dev in
      Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

  [ Andrej Shadura ]
  * Backport fix for upstream issue #5632 (move operation for union mounts)
  * Don’t set XDG_{CONFIG,CACHE}_HOME since debhelper already does.
  * Don’t fail to build when tests fail, since there are spurious failures.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 31 Oct 2021 10:56:03 +0100

rclone (1.53.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.53.3
    Closes: #975324 CVE-2020-28924
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.5.1 (no changes)
  * Change devel package Section to golang

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 27 Nov 2020 02:07:54 +0800

rclone (1.53.1-2) unstable; urgency=medium

  * Team upload.
  * upload to unstable

 -- Drew Parsons <dparsons@debian.org>  Fri, 02 Oct 2020 23:46:28 +0800

rclone (1.53.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release. Closes: #960677.
    - fixes getcwd() failures. Closes: #968320.
  * adds new Build-Depends:
    - golang-github-aalpar-deheap-dev (>= 0.0~git20200318.9a0c288)
    - golang-github-coreos-go-semver-dev (>= 0.3.0)
    - golang-github-hanwen-go-fuse-dev (>= 2.0.3)
    - golang-github-klauspost-compress-dev (>= 1.10.11)
  * update existing versioned dependencies
  * also Build-Depends: golang-github-google-uuid-dev
  * vendor and Godeps subdirs no longer packaged in upstream tarball,
    no need to exclude in debian/copyright or repack in watch file
  * update debian/watch to https://github.com/rclone/rclone
  * run tests in "quicktest" mode (RCLONE_CONFIG="/notfound") to avoid
    live server connections in backend TestIntegration
  * add debian patches
    - ignore_tardigrade_backend.patch ignores the tardigrade backend
      (storj.io/uplink is not yet available, see RFP#971078)
    - skip_TestParseDuration.patch skips TestParseDuration due to
      errors on Linux, see https://github.com/rclone/rclone/issues/4529
    - skip_sftp_webdav_TestIntegration.patch skips the TestIntegration
      test on sftp and webdav backends (they don't recognise quicktest mode)
    - skip_network_tests.patch skips TestAddPlugin and
      TestRemovePlugin in tests for fs/rc/webgui (network connections
      are not available for build tests)
  * ensure source gocode in golang-github-rclone-rclone-dev is not
    executable
  * add hyphen to NAME in manpage for proper parsing
  * use dh_installdocs and dh_installman to install docs.
    Predownload logo_on_light__horizontal_color.svg from
    https://rclone.org/img/logo_on_light__horizontal_color.svg and
    place in doc dir for MANUAL.html.
  * delete generated doc files when cleaning

 -- Drew Parsons <dparsons@debian.org>  Wed, 30 Sep 2020 00:05:13 +0800

rclone (1.50.2-3) unstable; urgency=medium

  * Team upload.
  * Fix missing Build-Depends
    + golang-github-mattn-go-colorable-dev
    It's previously brought by golang-github-spf13-viper-dev
  * Update maintainer address to team+pkg-go@tracker.debian.org
  * Add Rules-Requires-Root

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 25 Jun 2020 03:57:45 +0800

=== debian/control ===
Source: rclone
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dr. Tobias Quathamer <toddy@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-bash-completion,
               dh-sequence-golang,
               fuse,
               golang-any,
               golang-bazil-fuse-dev,
               golang-github-a8m-tree-dev,
               golang-github-aalpar-deheap-dev (>= 0.0~git20200318.9a0c288),
               golang-github-abbot-go-http-auth-dev (>= 0.4.0),
               golang-github-anacrolix-dms-dev (>= 1.1.0),
               golang-github-atotto-clipboard-dev (>= 0.1.2),
               golang-github-aws-aws-sdk-go-dev (>= 1.32.11),
               golang-github-azure-azure-pipeline-go-dev (>= 0.2.2),
               golang-github-azure-azure-storage-blob-go-dev (>= 0.10.0),
               golang-github-coreos-bbolt-dev (>= 1.3.5),
               golang-github-coreos-go-semver-dev (>= 0.3.0),
               golang-github-djherbis-times-dev,
               golang-github-dropbox-dropbox-sdk-go-unofficial-dev (>= 5.4.0),
               golang-github-google-uuid-dev,
               golang-github-hanwen-go-fuse-dev (>= 2.0.3),
               golang-github-jlaffaye-ftp-dev,
               golang-github-jzelinskie-whirlpool-dev,
               golang-github-klauspost-compress-dev (>= 1.10.11),
               golang-github-koofr-go-httpclient-dev,
               golang-github-koofr-go-koofrclient-dev,
               golang-github-mattn-go-colorable-dev (>= 0.1.7),
               golang-github-mitchellh-go-homedir-dev,
               golang-github-ncw-go-acd-dev,
               golang-github-ncw-swift-dev (>= 1.0.52),
               golang-github-nsf-termbox-go-dev,
               golang-github-okzk-sdnotify-dev,
               golang-github-patrickmn-go-cache-dev,
               golang-github-pkg-errors-dev,
               golang-github-putdotio-go-putio-dev,
               golang-github-rfjakob-eme-dev (>= 1.1.1),
               golang-github-sevlyar-go-daemon-dev (>= 0.1.5),
               golang-github-sirupsen-logrus-dev,
               golang-github-skratchdot-open-golang-dev,
               golang-github-spf13-cobra-dev (>= 1.0.0),
               golang-github-spf13-pflag-dev (>= 1.0.5),
               golang-github-stretchr-testify-dev (>= 1.6.1),
               golang-github-unknwon-goconfig-dev,
               golang-github-xanzy-ssh-agent-dev (>= 0.2.1),
               golang-github-youmark-pkcs8-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-golang-x-oauth2-google-dev,
               golang-golang-x-sys-dev,
               golang-golang-x-text-dev (>= 0.3.3),
               golang-golang-x-time-dev,
               golang-google-api-dev (>= 0.28.0),
               pandoc,
               python3
Standards-Version: 4.6.0
Homepage: https://github.com/rclone/rclone
Vcs-Browser: https://salsa.debian.org/go-team/packages/rclone
Vcs-Git: https://salsa.debian.org/go-team/packages/rclone.git
XS-Go-Import-Path: github.com/rclone/rclone
Rules-Requires-Root: no

Package: golang-github-rclone-rclone-dev
Section: golang
Architecture: all
Depends: golang-bazil-fuse-dev,
         golang-github-a8m-tree-dev,
         golang-github-abbot-go-http-auth-dev (>= 0.4.0),
         golang-github-anacrolix-dms-dev,
         golang-github-atotto-clipboard-dev,
         golang-github-aws-aws-sdk-go-dev,
         golang-github-azure-azure-storage-blob-go-dev,
         golang-github-coreos-bbolt-dev,
         golang-github-djherbis-times-dev,
         golang-github-dropbox-dropbox-sdk-go-unofficial-dev (>= 5.4.0),
         golang-github-google-uuid-dev,
         golang-github-jlaffaye-ftp-dev,
         golang-github-jzelinskie-whirlpool-dev,
         golang-github-koofr-go-httpclient-dev,
         golang-github-koofr-go-koofrclient-dev,
         golang-github-mattn-go-colorable-dev (>= 0.1.7),
         golang-github-mitchellh-go-homedir-dev,
         golang-github-ncw-go-acd-dev,
         golang-github-ncw-swift-dev (>= 1.0.52),
         golang-github-nsf-termbox-go-dev,
         golang-github-okzk-sdnotify-dev,
         golang-github-patrickmn-go-cache-dev,
         golang-github-pkg-errors-dev (>= 0.9.1),
         golang-github-putdotio-go-putio-dev,
         golang-github-rfjakob-eme-dev,
         golang-github-sevlyar-go-daemon-dev,
         golang-github-sirupsen-logrus-dev,
         golang-github-skratchdot-open-golang-dev,
         golang-github-spf13-cobra-dev,
         golang-github-spf13-pflag-dev,
         golang-github-stretchr-testify-dev,
         golang-github-unknwon-goconfig-dev,
         golang-github-xanzy-ssh-agent-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-net-dev,
         golang-golang-x-oauth2-google-dev,
         golang-golang-x-sys-dev,
         golang-golang-x-text-dev,
         golang-golang-x-time-dev,
         golang-google-api-dev (>= 0.28.0),
         ${misc:Depends},
         ${shlibs:Depends}
Description: go source code of rclone
 Rclone is a program to sync files and directories between the local
 file system and a variety of commercial cloud storage providers.
 .
 This package contains rclone's source code.

Package: rclone
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: rsync for commercial cloud storage
 Rclone is a program to sync files and directories between the local
 file system and a variety of commercial cloud storage providers:
 .
  - Google Drive
  - Amazon S3
  - Openstack Swift / Rackspace cloud files / Memset Memstore
  - Dropbox
  - Google Cloud Storage
  - Amazon Drive
  - Microsoft One Drive
  - Hubic
  - Backblaze B2
  - Yandex Disk
  - Infomaniak kDrive / SwissBackup

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/rclone-$1\.tar\.gz/" \
  https://github.com/rclone/rclone/tags .*/v?(\d\S+)\.tar\.gz

## rclone 1.60.1%2Bdfsg

=== debian/changelog ===
rclone (1.60.1+dfsg-3ubuntu0.24.04.4) noble; urgency=medium

  * Fix authentication error on OneDrive (LP: #2076021)

 -- Simon Johnsson <simon.johnsson@canonical.com>  Tue, 09 Sep 2025 10:36:01 +0200

rclone (1.60.1+dfsg-3ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 26 Jun 2025 12:48:26 +1000

rclone (1.60.1+dfsg-3ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 08 Nov 2024 14:29:16 +1000

rclone (1.60.1+dfsg-3ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 15 Jul 2024 11:04:27 +0530

rclone (1.60.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Disable dh_auto_test on single-CPU machines. Closes: #1031062.
  * Add ca-certificates to Suggests. Closes: #1031358.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Update standards version to 4.6.2, no changes needed.

 -- Santiago Vila <sanvila@debian.org>  Mon, 06 Nov 2023 14:54:00 +0100

rclone (1.60.1+dfsg-2) unstable; urgency=medium

  * Tighten Build-Dependencies

 -- Matthew Vernon <matthew@debian.org>  Tue, 13 Dec 2022 15:16:12 +0000

rclone (1.60.1+dfsg-1) unstable; urgency=medium

  * New upstream version (Closes: #1001261, #991124)
  * Exclude website components w/o source
  * Update d/copyright to reflect all code licenses
  * Add Suggests: fuse | fuse3 (Closes: #1018089)
  * Lintian overrides where necessary
  * Rebase patches

 -- Matthew Vernon <matthew@debian.org>  Wed, 07 Dec 2022 18:04:19 +0000

=== debian/watch ===
version=4
opts=\
repacksuffix=+dfsg,\
repack,\
dversionmangle=auto,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/rclone-$1\.tar\.gz/ \
  https://github.com/rclone/rclone/tags .*/v?(\d\S+)\.tar\.gz

## rclone 1.60.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -46,13 +46,13 @@
 .PHONY: rclone test_all vars version
 
 rclone:
-	go build -v --ldflags "-s -X github.com/rclone/rclone/fs.Version=$(TAG)" $(BUILDTAGS)
+	go build -v --ldflags "-s -X github.com/rclone/rclone/fs.Version=$(TAG)" $(BUILDTAGS) $(BUILD_ARGS)
 	mkdir -p `go env GOPATH`/bin/
 	cp -av rclone`go env GOEXE` `go env GOPATH`/bin/rclone`go env GOEXE`.new
 	mv -v `go env GOPATH`/bin/rclone`go env GOEXE`.new `go env GOPATH`/bin/rclone`go env GOEXE`
 
 test_all:
-	go install --ldflags "-s -X github.com/rclone/rclone/fs.Version=$(TAG)" $(BUILDTAGS) github.com/rclone/rclone/fstest/test_all
+	go install --ldflags "-s -X github.com/rclone/rclone/fs.Version=$(TAG)" $(BUILDTAGS) $(BUILD_ARGS) github.com/rclone/rclone/fstest/test_all
 
 vars:
 	@echo SHELL="'$(SHELL)'"
@@ -93,22 +93,25 @@
 
 # Get the release dependencies we only install on linux
 release_dep_linux:
-	go run bin/get-github-release.go -extract nfpm goreleaser/nfpm 'nfpm_.*_Linux_x86_64.tar.gz'
-	go run bin/get-github-release.go -extract github-release aktau/github-release 'linux-amd64-github-release.tar.bz2'
+	go run bin/get-github-release.go -extract nfpm goreleaser/nfpm 'nfpm_.*_Linux_x86_64\.tar\.gz'
 
 # Get the release dependencies we only install on Windows
 release_dep_windows:
-	GO111MODULE=off GOOS="" GOARCH="" go get github.com/josephspurrier/goversioninfo/cmd/goversioninfo
+	GOOS="" GOARCH="" go install github.com/josephspurrier/goversioninfo/cmd/goversioninfo@latest
 
 # Update dependencies
 showupdates:
 	@echo "*** Direct dependencies that could be updated ***"
 	@GO111MODULE=on go list -u -f '{{if (and (not (or .Main .Indirect)) .Update)}}{{.Path}}: {{.Version}} -> {{.Update.Version}}{{end}}' -m all 2> /dev/null
 
+# Update direct dependencies only
+updatedirect:
+	GO111MODULE=on go get -d $$(go list -m -f '{{if not (or .Main .Indirect)}}{{.Path}}{{end}}' all)
+	GO111MODULE=on go mod tidy
+
 # Update direct and indirect dependencies and test dependencies
 update:
-	GO111MODULE=on go get -u -t ./...
-	-#GO111MODULE=on go get -d $(go list -m -f '{{if not (or .Main .Indirect)}}{{.Path}}{{end}}' all)
+	GO111MODULE=on go get -d -u -t ./...
 	GO111MODULE=on go mod tidy
 
 # Tidy the module dependencies
@@ -120,7 +123,7 @@
 rclone.1:	MANUAL.md
 	pandoc -s --from markdown-smart --to man MANUAL.md -o rclone.1
 
-MANUAL.md:	bin/make_manual.py docs/content/*.md commanddocs backenddocs
+MANUAL.md:	bin/make_manual.py docs/content/*.md commanddocs backenddocs rcdocs
 	./bin/make_manual.py
 
 MANUAL.html:	MANUAL.md
@@ -188,10 +191,10 @@
 	./bin/upload-github $(TAG)
 
 cross:	doc
-	go run bin/cross-compile.go -release current $(BUILDTAGS) $(TAG)
+	go run bin/cross-compile.go -release current $(BUILD_FLAGS) $(BUILDTAGS) $(BUILD_ARGS) $(TAG)
 
 beta:
-	go run bin/cross-compile.go $(BUILDTAGS) $(TAG)
+	go run bin/cross-compile.go $(BUILD_FLAGS) $(BUILDTAGS) $(BUILD_ARGS) $(TAG)
 	rclone -v copy build/ memstore:pub-rclone-org/$(TAG)
 	@echo Beta release ready at https://pub.rclone.org/$(TAG)/
 
@@ -199,23 +202,23 @@
 	git log $(LAST_TAG)..
 
 compile_all:
-	go run bin/cross-compile.go -compile-only $(BUILDTAGS) $(TAG)
+	go run bin/cross-compile.go -compile-only $(BUILD_FLAGS) $(BUILDTAGS) $(BUILD_ARGS) $(TAG)
 
 ci_upload:
 	sudo chown -R $$USER build
 	find build -type l -delete
 	gzip -r9v build
 	./rclone --config bin/travis.rclone.conf -v copy build/ $(BETA_UPLOAD)/testbuilds
-ifndef BRANCH_PATH
+ifeq ($(or $(BRANCH_PATH),$(RELEASE_TAG)),)
 	./rclone --config bin/travis.rclone.conf -v copy build/ $(BETA_UPLOAD_ROOT)/test/testbuilds-latest
 endif
 	@echo Beta release ready at $(BETA_URL)/testbuilds
 
 ci_beta:
 	git log $(LAST_TAG).. > /tmp/git-log.txt
-	go run bin/cross-compile.go -release beta-latest -git-log /tmp/git-log.txt $(BUILD_FLAGS) $(BUILDTAGS) $(TAG)
+	go run bin/cross-compile.go -release beta-latest -git-log /tmp/git-log.txt $(BUILD_FLAGS) $(BUILDTAGS) $(BUILD_ARGS) $(TAG)
 	rclone --config bin/travis.rclone.conf -v copy --exclude '*beta-latest*' build/ $(BETA_UPLOAD)
-ifndef BRANCH_PATH
+ifeq ($(or $(BRANCH_PATH),$(RELEASE_TAG)),)
 	rclone --config bin/travis.rclone.conf -v copy --include '*beta-latest*' --include version.txt build/ $(BETA_UPLOAD_ROOT)$(BETA_SUBDIR)
 endif
 	@echo Beta release ready at $(BETA_URL)
@@ -233,7 +236,7 @@
 	@echo "Edit the new changelog in docs/content/changelog.md"
 	@echo "Then commit all the changes"
 	@echo git commit -m \"Version $(VERSION)\" -a -v
-	@echo "And finally run make retag before make cross etc"
+	@echo "And finally run make retag before make cross, etc."
 
 retag:
 	@echo "Version is $(VERSION)"
@@ -242,18 +245,48 @@
 startdev:
 	@echo "Version is $(VERSION)"
 	@echo "Next version is $(NEXT_VERSION)"
-	echo -e "package fs\n\n// Version of rclone\nvar Version = \"$(NEXT_VERSION)-DEV\"\n" | gofmt > fs/version.go
+	echo -e "package fs\n\n// VersionTag of rclone\nvar VersionTag = \"$(NEXT_VERSION)\"\n" | gofmt > fs/versiontag.go
 	echo -n "$(NEXT_VERSION)" > docs/layouts/partials/version.html
 	echo "$(NEXT_VERSION)" > VERSION
-	git commit -m "Start $(NEXT_VERSION)-DEV development" fs/version.go VERSION docs/layouts/partials/version.html
+	git commit -m "Start $(NEXT_VERSION)-DEV development" fs/versiontag.go VERSION docs/layouts/partials/version.html
 
 startstable:
 	@echo "Version is $(VERSION)"
 	@echo "Next stable version is $(NEXT_PATCH_VERSION)"
-	echo -e "package fs\n\n// Version of rclone\nvar Version = \"$(NEXT_PATCH_VERSION)-DEV\"\n" | gofmt > fs/version.go
+	echo -e "package fs\n\n// VersionTag of rclone\nvar VersionTag = \"$(NEXT_PATCH_VERSION)\"\n" | gofmt > fs/versiontag.go
 	echo -n "$(NEXT_PATCH_VERSION)" > docs/layouts/partials/version.html
 	echo "$(NEXT_PATCH_VERSION)" > VERSION
-	git commit -m "Start $(NEXT_PATCH_VERSION)-DEV development" fs/version.go VERSION docs/layouts/partials/version.html
+	git commit -m "Start $(NEXT_PATCH_VERSION)-DEV development" fs/versiontag.go VERSION docs/layouts/partials/version.html
 
 winzip:
 	zip -9 rclone-$(TAG).zip rclone.exe
+
+# docker volume plugin
+PLUGIN_USER ?= rclone
+PLUGIN_TAG ?= latest
+PLUGIN_BASE_TAG ?= latest
+PLUGIN_ARCH ?= amd64
+PLUGIN_IMAGE := $(PLUGIN_USER)/docker-volume-rclone:$(PLUGIN_TAG)
+PLUGIN_BASE := $(PLUGIN_USER)/rclone:$(PLUGIN_BASE_TAG)
+PLUGIN_BUILD_DIR := ./build/docker-plugin
+PLUGIN_CONTRIB_DIR := ./contrib/docker-plugin/managed
+
+docker-plugin-create:
+	docker buildx inspect |grep -q /${PLUGIN_ARCH} || \
+	docker run --rm --privileged tonistiigi/binfmt --install all
+	rm -rf ${PLUGIN_BUILD_DIR}
+	docker buildx build \
+		--no-cache --pull \
+		--build-arg BASE_IMAGE=${PLUGIN_BASE} \
+		--platform linux/${PLUGIN_ARCH} \
+		--output ${PLUGIN_BUILD_DIR}/rootfs \
+		${PLUGIN_CONTRIB_DIR}
+	cp ${PLUGIN_CONTRIB_DIR}/config.json ${PLUGIN_BUILD_DIR}
+	docker plugin rm --force ${PLUGIN_IMAGE} 2>/dev/null || true
+	docker plugin create ${PLUGIN_IMAGE} ${PLUGIN_BUILD_DIR}
+
+docker-plugin-push:
+	docker plugin push ${PLUGIN_IMAGE}
+	docker plugin rm ${PLUGIN_IMAGE}
+
+docker-plugin: docker-plugin-create docker-plugin-push

=== fs/rc/js/Makefile ===
build:
	GOARCH=wasm GOOS=js go build -o rclone.wasm

serve:	build
	go run serve.go

=== debian/changelog ===
rclone (1.60.1+dfsg-4ubuntu2) questing; urgency=medium

  * Fixup of previous upload to match SRUs

 -- Simon Johnsson <simon.johnsson@canonical.com>  Thu, 11 Sep 2025 12:06:44 +0200

rclone (1.60.1+dfsg-4ubuntu1) questing; urgency=medium

  * Fix authentication error on onedrive (LP: #2076021)

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 29 Aug 2025 16:37:57 +0200

rclone (1.60.1+dfsg-4) unstable; urgency=medium

  * Team upload.

  [ Guillem Jover ]
  * Update gbp configuration following Go Team new workflow.
  * Wrap and sort -ast.
  * Wrap and sort make variable multi values one per line.
  * Add spaces around make variable assignment.
  * Fix indentation for the debian/watch file.
  * Simplify debian/copyright file.
  * Use execute_(before|after)_ instead of override_ and explicit dh calls.
  * Add a debian/.gitignore file.
  * Do not hardcode gopsutil v3.
  * Switch from Built-Using to the Static-Built-Using field.
  * Remove shlibs:Depends substvar usage from -dev package.
  * Switch to Standards-Version 4.7.0 (no changes needed).
  * Update copyright years.

  [ Maytham Alsudany ]
  * Add <!nocheck> constraint to stretchr-testify and remove from Depends.
  * Set build directory to _build in d/rules.
  * Update Forwarded header (DEP3).

 -- Guillem Jover <gjover@sipwise.com>  Fri, 04 Oct 2024 03:04:22 +0200

=== debian/control ===
Source: rclone
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Dr. Tobias Quathamer <toddy@debian.org>,
 Matthew Vernon <matthew@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-bash-completion,
 dh-sequence-golang,
 fuse,
 golang-any,
 golang-bazil-fuse-dev,
 golang-github-a8m-tree-dev,
 golang-github-aalpar-deheap-dev (>= 0.0~git20200318.9a0c288),
 golang-github-abbot-go-http-auth-dev (>= 0.4.0),
 golang-github-anacrolix-dms-dev (>= 1.5.0),
 golang-github-artyom-mtab-dev,
 golang-github-atotto-clipboard-dev (>= 0.1.2),
 golang-github-aws-aws-sdk-go-dev (>= 1.43.26),
 golang-github-azure-azure-pipeline-go-dev (>= 0.2.2),
 golang-github-azure-azure-storage-blob-go-dev (>= 0.15.0),
 golang-github-azure-go-autorest-dev,
 golang-github-azure-go-ntlmssp-dev,
 golang-github-buengese-sgzip-dev,
 golang-github-colinmarc-hdfs-dev,
 golang-github-coreos-bbolt-dev (>= 1.3.5),
 golang-github-coreos-go-semver-dev (>= 0.3.0),
 golang-github-coreos-go-systemd-dev,
 golang-github-djherbis-times-dev,
 golang-github-dop251-scsu-dev,
 golang-github-dropbox-dropbox-sdk-go-unofficial-dev (>= 6.0.4),
 golang-github-gabriel-vasile-mimetype-dev,
 golang-github-gdamore-tcell.v2-dev,
 golang-github-go-chi-chi-dev (>= 5.0.7),
 golang-github-google-uuid-dev,
 golang-github-hanwen-go-fuse-dev (>= 2.0.3),
 golang-github-hirochachacha-go-smb2-dev,
 golang-github-iguanesolutions-go-systemd-dev,
 golang-github-jcmturner-gokrb5.v8-dev,
 golang-github-jlaffaye-ftp-dev,
 golang-github-jzelinskie-whirlpool-dev,
 golang-github-klauspost-compress-dev (>= 1.10.11),
 golang-github-koofr-go-httpclient-dev,
 golang-github-koofr-go-koofrclient-dev,
 golang-github-mattn-go-colorable-dev (>= 0.1.7),
 golang-github-max-sum-base32768-dev,
 golang-github-mitchellh-go-homedir-dev,
 golang-github-ncw-go-acd-dev,
 golang-github-ncw-swift-v2-dev,
 golang-github-nsf-termbox-go-dev,
 golang-github-okzk-sdnotify-dev,
 golang-github-patrickmn-go-cache-dev,
 golang-github-pkg-errors-dev,
 golang-github-pkg-sftp-dev (>= 1.13.4),
 golang-github-pkg-xattr-dev,
 golang-github-protonmail-go-crypto-dev,
 golang-github-putdotio-go-putio-dev,
 golang-github-rclone-ftp-dev (>= 1.0.0-221014.e44dedb),
 golang-github-rfjakob-eme-dev (>= 1.1.1),
 golang-github-sevlyar-go-daemon-dev (>= 0.1.5),
 golang-github-shirou-gopsutil-dev (>= 3.22.4),
 golang-github-sirupsen-logrus-dev,
 golang-github-skratchdot-open-golang-dev,
 golang-github-spf13-cobra-dev (>= 1.0.0),
 golang-github-spf13-pflag-dev (>= 1.0.5),
 golang-github-stretchr-testify-dev (>= 1.6.1) <!nocheck>,
 golang-github-unknwon-goconfig-dev,
 golang-github-xanzy-ssh-agent-dev (>= 0.2.1),
 golang-github-youmark-pkcs8-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-net-dev,
 golang-golang-x-oauth2-google-dev,
 golang-golang-x-sys-dev,
 golang-golang-x-text-dev (>= 0.3.3),
 golang-golang-x-time-dev,
 golang-google-api-dev (>= 0.61.0),
 pandoc,
 python3,
Standards-Version: 4.7.0
Homepage: https://github.com/rclone/rclone
Vcs-Browser: https://salsa.debian.org/go-team/packages/rclone
Vcs-Git: https://salsa.debian.org/go-team/packages/rclone.git
XS-Go-Import-Path: github.com/rclone/rclone

Package: golang-github-rclone-rclone-dev
Section: golang
Architecture: all
Depends:
 golang-bazil-fuse-dev,
 golang-github-a8m-tree-dev,
 golang-github-abbot-go-http-auth-dev (>= 0.4.0),
 golang-github-anacrolix-dms-dev (>= 1.5.0),
 golang-github-artyom-mtab-dev,
 golang-github-atotto-clipboard-dev,
 golang-github-aws-aws-sdk-go-dev (>= 1.43.26),
 golang-github-azure-azure-storage-blob-go-dev (>= 0.15.0),
 golang-github-azure-go-autorest-dev,
 golang-github-azure-go-ntlmssp-dev,
 golang-github-buengese-sgzip-dev,
 golang-github-colinmarc-hdfs-dev,
 golang-github-coreos-bbolt-dev,
 golang-github-coreos-go-systemd-dev,
 golang-github-djherbis-times-dev,
 golang-github-dropbox-dropbox-sdk-go-unofficial-dev (>= 6.0.4),
 golang-github-gabriel-vasile-mimetype-dev,
 golang-github-gdamore-tcell.v2-dev,
 golang-github-go-chi-chi-dev (>= 5.0.7),
 golang-github-google-uuid-dev,
 golang-github-hirochachacha-go-smb2-dev,
 golang-github-iguanesolutions-go-systemd-dev,
 golang-github-jcmturner-gokrb5.v8-dev,
 golang-github-jlaffaye-ftp-dev,
 golang-github-jzelinskie-whirlpool-dev,
 golang-github-koofr-go-httpclient-dev,
 golang-github-koofr-go-koofrclient-dev,
 golang-github-mattn-go-colorable-dev (>= 0.1.7),
 golang-github-max-sum-base32768-dev,
 golang-github-mitchellh-go-homedir-dev,
 golang-github-ncw-go-acd-dev,
 golang-github-ncw-swift-v2-dev,
 golang-github-nsf-termbox-go-dev,
 golang-github-okzk-sdnotify-dev,
 golang-github-patrickmn-go-cache-dev,
 golang-github-pkg-errors-dev (>= 0.9.1),
 golang-github-pkg-sftp-dev (>= 1.13.4),
 golang-github-pkg-xattr-dev,
 golang-github-protonmail-go-crypto-dev,
 golang-github-putdotio-go-putio-dev,
 golang-github-rclone-ftp-dev,
 golang-github-rfjakob-eme-dev,
 golang-github-sevlyar-go-daemon-dev,
 golang-github-shirou-gopsutil-dev (>= 3.22.4),
 golang-github-sirupsen-logrus-dev,
 golang-github-skratchdot-open-golang-dev,
 golang-github-spf13-cobra-dev,
 golang-github-spf13-pflag-dev,
 golang-github-unknwon-goconfig-dev,
 golang-github-xanzy-ssh-agent-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-net-dev,
 golang-golang-x-oauth2-google-dev,
 golang-golang-x-sys-dev,
 golang-golang-x-text-dev,
 golang-golang-x-time-dev,
 golang-google-api-dev (>= 0.61.0),
 ${misc:Depends},
Description: go source code of rclone
 Rclone is a program to sync files and directories between the local
 file system and a variety of commercial cloud storage providers.
 .
 This package contains rclone's source code.

Package: rclone
Architecture: any
Static-Built-Using:
 ${misc:Static-Built-Using},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 ca-certificates,
 fuse | fuse3,
Description: rsync for commercial cloud storage
 Rclone is a program to sync files and directories between the local
 file system and a variety of commercial cloud storage providers:
 .
  - Google Drive
  - Amazon S3
  - Openstack Swift / Rackspace cloud files / Memset Memstore
  - Dropbox
  - Google Cloud Storage
  - Amazon Drive
  - Microsoft One Drive
  - Hubic
  - Backblaze B2
  - Yandex Disk
  - Infomaniak kDrive / SwissBackup

=== debian/rules ===
#!/usr/bin/make -f

# Do not build the qingstor storj and mega backends for now, the required
# go packages are not available yet. Also exclude librclone
export DH_GOLANG_EXCLUDES := \
	backend/mega \
	backend/qingstor \
	backend/storj \
	librclone \
	# EOL

# Also install test data
export DH_GOLANG_INSTALL_EXTRA := \
	backend/alias/test \
	backend/drive/test \
	backend/http/test \
	cmd/lsf/testfiles \
	cmd/tree/testfiles \
	# EOL

export BUILDTESTDIR = $(CURDIR)/buildtest

NPROC := $(shell nproc)

# some arches need more than 10 min to run TestTestsToRegexpLive
ARCHES_SLOW_TEST := mips64el mipsel
ifneq ($(findstring $(DEB_BUILD_ARCH),$(ARCHES_SLOW_TEST)),)
  EXTRA_TESTFLAGS := -timeout 20m
endif

%:
	dh $@ --buildsystem=golang --builddirectory=_build

# The docs (MANUAL.md, MANUAL.html and rclone.1 manpage) all
# contain information about the download and installation
# of rclone. This is not useful for Debian.
# The solution is a patch for the docs build system, then
# regenerate the docs. See #941209.
execute_before_dh_install:
	# Generate MANUAL.md
	./bin/make_manual.py
	# Generate HTML and manpage
	pandoc -s --from markdown --to html MANUAL.md -o MANUAL.html
	sed 's|src="https://rclone.org/img/logo_on_light__horizontal_color.svg"|src="logo_on_light__horizontal_color.svg"|g' -i MANUAL.html
	pandoc -s --from markdown --to man MANUAL.md -o rclone.1
	# Now fix some lexgrog errors in the manpage:
	# Remove the only line with .hy on it (near the top of the file)
	sed -i -e "/^\.hy/d" rclone.1
	# Use a proper NAME section header
	sed -i -e "s/^\.SH Rclone/.SH NAME\nRclone \-/" rclone.1
	# Finally, replace the first occurence of .PP with a section header
	sed -i -e "1,/^\.PP/{s/\.PP/.SH DESCRIPTION/}" rclone.1

execute_after_dh_auto_clean:
	rm -f MANUAL.md MANUAL.html rclone.1 || /bin/true

# build-time tests for github.com/ncw/rclone/vfs access the config file
# so provide a null config
override_dh_auto_test:
ifeq ($(NPROC),1)
	@echo "Skipping dh_auto_test, known to hang autobuilder when there is only one CPU."
else
	-export RCLONE_CONFIG="/notfound"; dh_auto_test -- $(EXTRA_TESTFLAGS)
endif

execute_after_dh_fixperms:
	find debian/golang-github-rclone-rclone-dev/usr/share/gocode/src -executable -a -type f | xargs -r chmod a-x
